package com.gic.haoban.manage.service.service.message;

import com.alibaba.fastjson.JSONObject;
import com.gic.haoban.manage.service.service.notify.out.NoticeMessageApiServiceImpl;
import com.gic.message.center.api.subcribe.model.NoticeMessageForm;
import org.slf4j.Logger;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;

import static org.slf4j.LoggerFactory.getLogger;

/**
 * @description: 企业微信通知消息发送处理类
 * @author: 巴弗
 * @createDate: 2023/4/21 14:03
 */
@Service
public class NoticeMessageHandler {
    private static final Logger logger = getLogger(NoticeMessageHandler.class);

    /**
     * 发送小程序消息
     */
    public void sendMessage(NoticeMessageForm noticeMessageForm){
        logger.info("消息中心发送消息实体:{}", JSONObject.toJSONString(noticeMessageForm));
    }
}
